package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

/**
 * RoleResRequest -  角色资源关系查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class RoleResFindRequest extends BaseFindRequest {

    /**
     * 角色主键
     */
    private Long roleId;

    /**
     * 角色代码
     */
    private String roleCode;

    /**
     * 资源主键
     */
    private Long resId;

    /**
     * 资源代码
     */
    private String resCode;

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return this.roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public Long getResId() {
        return this.resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }
}
